### Method

# Phosh NotifyDBusNotifications complete_get_server_information

#### Declaration [src]

    void
    phosh_notify_dbus_notifications_complete_get_server_information (
      PhoshNotifyDBusNotifications* object,
      GDBusMethodInvocation* invocation,
      const gchar* name,
      const gchar* vendor,
      const gchar* version,
      const gchar* spec_version
    )

#### Description [src]

Helper function used in service implementations to finish handling invocations of the GetServerInformation() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation`, you cannot use it afterwards.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The instance takes ownership of the data, and is responsible for freeing it.

`name`

  Type: `const gchar*`

  Parameter to return.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`vendor`

  Type: `const gchar*`

  Parameter to return.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`version`

  Type: `const gchar*`

  Parameter to return.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`spec_version`

  Type: `const gchar*`

  Parameter to return.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.